<div *ngIf="taskService.tasks$ | async; let tasks" cdkDropListGroup class="scrum__container">
  <div class="scrum__column">
    <h2 class="mat-h2">Planning</h2>

    <div
      *ngIf="tasks | filterByKey: 'PLANNING'; let tasksPlanning"
      class="scrum__list"
      [id]="types[0].key"
      cdkDropList
      [cdkDropListData]="tasksPlanning"
      (cdkDropListDropped)="onDrop($event)"
    >
      <div class="scrum__box" *ngFor="let item of tasksPlanning" [cdkDragData]="item" cdkDrag>
        <app-task [task]="item"></app-task>
      </div>
    </div>
  </div>

  <div class="scrum__column">
    <h2 class="mat-h2">In progress</h2>

    <div
      *ngIf="tasks | filterByKey: 'IN_PROGRESS'; let tasksInProgress"
      class="scrum__list"
      [id]="types[1].key"
      cdkDropList
      [cdkDropListData]="tasksInProgress"
      (cdkDropListDropped)="onDrop($event)"
    >
      <div class="scrum__box" *ngFor="let item of tasksInProgress" [cdkDragData]="item" cdkDrag>
        <app-task [task]="item"></app-task>
      </div>
    </div>
  </div>

  <div class="scrum__column">
    <h2 class="mat-h2">Done</h2>

    <div
      *ngIf="tasks | filterByKey: 'DONE'; let tasksDone"
      class="scrum__list"
      [id]="types[2].key"
      cdkDropList
      [cdkDropListData]="tasksDone"
      (cdkDropListDropped)="onDrop($event)"
    >
      <div class="scrum__box" *ngFor="let item of tasksDone" [cdkDragData]="item" cdkDrag>
        <app-task [task]="item"></app-task>
      </div>
    </div>
  </div>
</div>
